complexType "TradeIdentifier"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyReference, accountReference?, tradeId+
</...>

Content Model Elements (3):

  accountReference (defined in PartyAndAccountReferences.model group),
  partyReference (defined in PartyAndAccountReferences.model group),
  tradeId (defined in TradeIdentifier complexType)

Known Direct Subtypes (1):

  PartyTradeIdentifier

All Direct / Indirect Based Elements (17):

  allocationTradeId (defined in PartyTradeIdentifier complexType),
  allocationTradeId (in allocation),
  blockTradeId,
  oldTradeIdentifier,
  partyTradeIdentifier (defined in PartyTradeIdentifiers complexType),
  partyTradeIdentifier (defined in TradeValuationItem complexType),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReferenceInformation),
  resultingTradeIdentifier,
  tradeIdentifier (defined in BestFitTrade complexType),
  tradeIdentifier (defined in EventIdentifier complexType),
  tradeIdentifier (in deClear),
  tradeIdentifier (in nonpublicExecutionReportRetracted),
  tradeIdentifier (in optionExercise),
  tradeIdentifier (in optionExpiry defined in Events.model group),
  tradeIdentifier (in optionExpiry defined in MaturityAndExpiryEvents.model group),
  tradeIdentifier (in tradeMaturity)

Known Usage Locations

- In derivations of other global types (1):
  PartyTradeIdentifier (as extension base)
- As direct type of elements (5):
  allocationTradeId (defined in PartyTradeIdentifier complexType),
  allocationTradeId (in allocation),
  blockTradeId,
  tradeIdentifier (defined in BestFitTrade complexType),
  tradeIdentifier (defined in EventIdentifier complexType)

Annotation
A type defining a trade identifier issued by the indicated party.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="TradeIdentifier"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:choice maxOccurs="unbounded"> <xsd:element name="tradeId" type="TradeId"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/3)
tradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="tradeId" type="TradeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.